package com.caimei365.user.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/9
 */
/*@EqualsAndHashCode(callSuper = true)*/
@Data
public class ShopPo implements Serializable {
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 供应商公司名称
     */
    private String name;
    /**
     * 供应商公司简称
     */
    private String shortName;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 手机号
     */
    private String contractMobile;
    /**
     * 联系人邮箱
     */
    private String contractEmail;
    /**
     * 省
     */
    private Integer provinceId;
    /**
     * 市
     */
    private Integer cityId;
    /**
     * 所在县区Id
     */
    private Integer townId;
    /**
     * 地址
     */
    private String address;
    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;
    /**
     * 营业执照(businessLicenseImage)
     */
    private String businessLicense;
    /**
     * 医疗=1和非医疗=2
     */
    private Integer firstShopType;
    /**
     * 医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4 /// 1和非医疗没有二级分类
     */
    private Integer secondShopType;
    /**
     * 主打项目(mainpro)
     */
    private String mainProduct;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 供应商状态： 90:已上线，91:已下线，92:审核不通过，3:待审核
     */
    private Integer status;
    /**
     * 是否可用，1可用
     */
    private String validFlag;
}
