package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/31
 */
@Data
public class OrderCountVo implements Serializable {
    /**
     * 待确认数量
     */
    private Integer orderCount;
    /**
     * 待确认数量
     */
    private Integer confirmedCount;
    /**
     * 待付款数量
     */
    private Integer paymentCount;
    /**
     * 待发货数量
     */
    private Integer waitShipmentsCount;
    /**
     * 已发货数量
     */
    private Integer shipmentsCount;
    /**
     * 退货款数量
     */
    private Integer salesReturnCount;
}
